﻿@{
    ViewBag.Title = "Organization";
    Layout = "~/Views/Shared/_FixedLayout.cshtml";
}

<link href="~/Content/plugins/bootstrap-datepicker/css/bootstrap-datepicker.css" rel="stylesheet" />
<script src="~/Content/plugins/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
<link href="~/Content/plugins/bootstrap-combobox/css/bootstrap-combobox.css" rel="stylesheet" />
<script src="~/Content/plugins/bootstrap-combobox/js/bootstrap-combobox.js"></script>

<link href="~/Content/plugins/datatables/css/dataTables.bootstrap.css" rel="stylesheet" />
<script src="~/Content/plugins/datatables/js/jquery.dataTables.min.js"></script>
<script src="~/Content/plugins/datatables/js/jquery.dataTables.columnFilter.js"></script>
<script src="~/Content/plugins/datatables/js/dataTables.bootstrap.js"></script>


<script type="text/javascript">

    var oTable;


    $(document).ready(function () {
        var aryColTableChecked = [];
        for (var idx = 1; idx < 5; idx++) {
            aryColTableChecked.push("field" + idx);
        }

        var aoColumnDef = [];

        $.each(aryColTableChecked, function (i, value) {

            var obj = {
                "mData": value, "aTargets": [i]
            }
            if (i == 0) {
                var obj = {
                    "mData": value,
                    "aTargets": [i],
                    "mRender": function (data, type, row) {
                        return '<a class="btn btn-primary btn-xs tblButton" style="width: 30px;" name="btnEdit" aria-label="Edit" data-id="' + data + '" ><i class="glyphicon glyphicon-pencil"></i></a>' +
                            '&nbsp; <a class="btn btn-primary btn-xs tblButton" style="width: 30px;" name = "btnDelete" aria-label="Delete" data-id="' + data + '" ><i class="glyphicon glyphicon-trash"></i></a>';

                    },
                    "bSortable": false
                }
            }
            aoColumnDef.push(obj);
        });

        $("#btnSearch").click(function () {

            if (oTable != null) {
                oTable.fnDestroy();
            }

            oTable = $('#tblData').dataTable({
                "sAjaxSource": "@Url.Action("getDivisionList", "Organization")",
                "bServerSide": false,
                "bProcessing": true,
                "bSort": false,
                "bPaginate": true,
                "bLengthChange": false,
                "bStateSave": false,
                "bDestroy": true,
                "bRetrieve": true,
                "fnServerData": function (sSource, aoData, fnCallback) {
                    $.ajax({
                        "dataType": "json",
                        "type": "POST",
                        "url": sSource,
                        "data": aoData,
                        "success": fnCallback
                    });
                },
                "sDom": '<"#tblData_header.clearfix "<"pull-left"l><"pull-right"r>><"table-responsive"t><"#ScrollTop"><"#tblData_footer.clearfix "<"pull-left"i><"pull-right"p>>',
                "fnServerParams": function (aoData) {
                    aoData.push({ "name": "division", "value": $('#txtDivisionName').val() });

                },
                "aoColumnDefs": aoColumnDef,
                "iDisplayLength": 10,
                "oLanguage": {
                    "sProcessing": '<i class="fa fa-spinner fa-spin"></i> Retrieve Data ... ',
                    "sLengthMenu": '_MENU_'
                },
            });

            oTable.fnSettings().aoColumns[0].sClass = "text-center";
            oTable.fnSettings().aoColumns[1].sClass = "text-center";
            oTable.fnSettings().aoColumns[2].sClass = "text-center";
            oTable.fnSettings().aoColumns[3].sClass = "text-center";



            $('#tblData tbody').on('click', 'a', function () {

                var table = $('#tblData').DataTable();
                var row = table.row($(this).parents('tr')).data();
                var action = $(this).attr('aria-label');
                var rowid = $(this).attr('data-id');

                if (action == 'Edit') {
                    window.location.href = '@Url.Action("EditDivision", "Organization")?id=' + rowid;
                }

                if (action == 'Delete') {
                    bootbox.confirm({
                        title: "<i class='fa fa-warning fa-2x'></i> Delete Confirmation",
                        message: 'Are you sure you want to delete this data.',
                        className: "medium",
                        buttons: {
                            'cancel': {
                                label: '<i class="fa fa-times"></i> Cancel',
                                className: 'btn-default pull-left'
                            },
                            'confirm': {
                                label: '<i class="fa fa-check"></i> Yes, Continue delete',
                                className: 'btn-primary pull-right'
                            }
                        },
                        callback: function (result) {
                            if (result) {

                                $.ajax({
                                    type: "POST",
                                    url: '@Url.Action("DeleteDivision", "Organization")?rowid=' + rowid,
                                    dataType: 'json',
                                    contentType: false,
                                    processData: false,
                                    //beforeSend: function () {
                                    //    //$("#loader").show();
                                    //},
                                    success: function (data) {
                                        bootbox.dialog({
                                            message: data.message,
                                            title: data.title,
                                            buttons: {
                                                main: {
                                                    label: "<i class='fa fa-check'></i> Ok",
                                                    className: "btn-primary",
                                                    callback: function () {
                                                        if (result) {
                                                            if (data.status) {
                                                                oTable.fnPageChange('first');
                                                                location.reload(true);
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        });
                                    }
                                });
                            }

                        }
                    });
                }

            });
        });

        $("#btnReset").click(function () {

            document.getElementById("txtDivisionName").value = "";

            $("#btnSearch").click();
        });
    });



    $(function () {
        $('#btnSearch').click();
    });


    $(document).ready(function () {
        $("#txtDivisionName").on('keypress', function (e) {
        if (e.which == 13) {
            $("#btnSearch").trigger('click');
            return false;
        }
    });
    $("#btnSearch").on('click', function () {
        //alert('You press enter');
    });
    });

</script>



<style>
    .label-def-margin {
        margin-top: 10px;
    }
</style>


<div class="col-sm-12">

    <div class="row">
        <div class="col-sm-3">
            <button type="button" class="btn btn-primary" id="btnAddDivision" name="btnAddDivision" onclick="@("window.location.href='" + @Url.Action("AddDivison", "Organization") + "'");">
                <span class="glyphicon glyphicon-plus-sign"></span> Add Division
            </button>
        </div>
    </div>

    <div class="panel panel-primary" style="margin-bottom: 0;">
        <div class="panel-heading">
            Search
        </div>
        <div class="panel-body">
            <div class="row">
                <!--Group Name-->
                <div class="col-sm-1"><label class="label-def-margin" for="txtDivisionName">Division Name</label></div>
                <div class="col-sm-3"><input class="form-control" type="text" id="txtDivisionName" /></div>
            </div>
            <br />
            <div class="row">
                <div class="col-sm-1">
                    <button type="button" class="btn btn-primary" id="btnSearch">
                        <span class="glyphicon glyphicon-search"></span> Search
                    </button>
                </div>
                <div class="col-sm-1">
                    <button type="button" class="btn btn-primary" id="btnReset">
                        <span class="glyphicon glyphicon-refresh"></span> Reset
                    </button>
                </div>
            </div>
        </div>
    </div>
    <br />

    <div class="panel panel-primary">
        <div class="panel-body">
            <table id="tblData" class="table table-striped table-hover table-bordered" width="100%" style="font-size: 10px; margin-top: 0 !important; margin-bottom: 0 !important; padding-top: 0 !important; padding-bottom: 0 !important;">
                <thead class="bg-mantle-gradient">
                    <tr>
                        <th style="width: 80px;">Action &nbsp; </th>
                        <th style="width: 50px;">No &nbsp; </th>
                        <th>Division &nbsp; </th>
                        <th>Division Head &nbsp; </th>
                    </tr>
                </thead>
            </table>
        </div>
    </div>
</div>
